PathNode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wscreation.findpath
Class PathNode

    java.lang.Object
      com.wscreation.findpath.PathNode

    public class PathNode

extends java.lang.Object

class used to create a PathNode object This object correspond to a node of the path detected in the FindOnePath class

Author:
  WOLLBRETT

Field Summary
`static int` | `ISAFOREIGNKEYCOLUMN`
`static int` | `ISANASSOCIATIONTABLEWITHOUTATTRIBUTS`
`static int` | `ISANINVERSEFOREIGNKEYCOLUMN`
`static int` | `ISAPRIMARYKEYCOLUMN`
`static int` | `ISASIMPLECOLUMN`
`static int` | `ISASSOCIATIONRELATION`
`static int` | `ISASSOCIATIONTABLE`
`static int` | `ISATABLE`
`static int` | `ISHERITAGERELATION`
`static int` | `ISTHEINPUTANNOTATION`
`static int` | `ISTHEOUTPUTANNOTATION`
`private int` | `nodeType`
`private com.hp.hpl.jena.rdf.model.Resource` | `objectNode`
`private int` | `relationType`
`private com.hp.hpl.jena.rdf.model.Resource` | `subjectNode`
`private double` | `weight`

Constructor Summary
`PathNode()`
`PathNode(com.hp.hpl.jena.rdf.model.Resource node, double weight, int nodeType)`
`PathNode(com.hp.hpl.jena.rdf.model.Resource node, double weight, int nodeType, int relationType)`
`PathNode(com.hp.hpl.jena.rdf.model.Resource subjectNode, com.hp.hpl.jena.rdf.model.Resource objectnode, double weight, int nodeType)`
`PathNode(com.hp.hpl.jena.rdf.model.Resource subjectNode, com.hp.hpl.jena.rdf.model.Resource objectnode, double weight, int nodeType, int relationType)`

Method Summary
`int` | `getNodeType()`
`com.hp.hpl.jena.rdf.model.Resource` | `getObjectNode()`
`int` | `getRelationType()`
`com.hp.hpl.jena.rdf.model.Resource` | `getSubjectNode()`
`double` | `getWeight()`
`boolean` | `isAForeignKeyColumn()`
`boolean` | `isAHeritageRelation()`
`boolean` | `isAnAssociationTableRelation()`
`boolean` | `isAPrimaryKeyColumn()`
`boolean` | `isASimpleAssociationRelation()`
`boolean` | `isASimpleColumn()`
`boolean` | `isATable()`
`void` | `setNodeType(int type)`
`void` | `setObjectNode(com.hp.hpl.jena.rdf.model.Resource oNode)`
`void` | `setRelationType(int relationType)`
`void` | `setSubjectNode(com.hp.hpl.jena.rdf.model.Resource sNode)`
`void` | `setWeight(double weight)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ISTHEINPUTANNOTATION

    public static int ISTHEINPUTANNOTATION

### ISATABLE

    public static int ISATABLE

### ISASIMPLECOLUMN

    public static int ISASIMPLECOLUMN

### ISAPRIMARYKEYCOLUMN

    public static int ISAPRIMARYKEYCOLUMN

### ISAFOREIGNKEYCOLUMN

    public static int ISAFOREIGNKEYCOLUMN

### ISANINVERSEFOREIGNKEYCOLUMN

    public static int ISANINVERSEFOREIGNKEYCOLUMN

### ISTHEOUTPUTANNOTATION

    public static int ISTHEOUTPUTANNOTATION

### ISHERITAGERELATION

    public static int ISHERITAGERELATION

### ISASSOCIATIONRELATION

    public static int ISASSOCIATIONRELATION

### ISASSOCIATIONTABLE

    public static int ISASSOCIATIONTABLE

### ISANASSOCIATIONTABLEWITHOUTATTRIBUTS

    public static int ISANASSOCIATIONTABLEWITHOUTATTRIBUTS

### subjectNode

    private com.hp.hpl.jena.rdf.model.Resource subjectNode

### objectNode

    private com.hp.hpl.jena.rdf.model.Resource objectNode

### weight

    private double weight

### nodeType

    private int nodeType

### relationType

    private int relationType

Constructor Detail

### PathNode

    PathNode(com.hp.hpl.jena.rdf.model.Resource subjectNode,
             com.hp.hpl.jena.rdf.model.Resource objectnode,
             double weight,
             int nodeType,
             int relationType)

### PathNode

    PathNode(com.hp.hpl.jena.rdf.model.Resource node,
             double weight,
             int nodeType)

### PathNode

    PathNode(com.hp.hpl.jena.rdf.model.Resource subjectNode,
             com.hp.hpl.jena.rdf.model.Resource objectnode,
             double weight,
             int nodeType)

### PathNode

    PathNode(com.hp.hpl.jena.rdf.model.Resource node,
             double weight,
             int nodeType,
             int relationType)

### PathNode

    PathNode()

Method Detail

### getSubjectNode

    public com.hp.hpl.jena.rdf.model.Resource getSubjectNode()

### getObjectNode

    public com.hp.hpl.jena.rdf.model.Resource getObjectNode()

### getWeight

    public double getWeight()

### getNodeType

    public int getNodeType()

### getRelationType

    public int getRelationType()

### setRelationType

    public void setRelationType(int relationType)

### setSubjectNode

    public void setSubjectNode(com.hp.hpl.jena.rdf.model.Resource sNode)

### setObjectNode

    public void setObjectNode(com.hp.hpl.jena.rdf.model.Resource oNode)

### setWeight

    public void setWeight(double weight)

### setNodeType

    public void setNodeType(int type)

### isATable

    public boolean isATable()

### isASimpleColumn

    public boolean isASimpleColumn()

### isAPrimaryKeyColumn

    public boolean isAPrimaryKeyColumn()

### isAForeignKeyColumn

    public boolean isAForeignKeyColumn()

### isASimpleAssociationRelation

    public boolean isASimpleAssociationRelation()

### isAnAssociationTableRelation

    public boolean isAnAssociationTableRelation()

### isAHeritageRelation

    public boolean isAHeritageRelation()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD